import request from '@/utils/request'
import baseUrl from '@/utils/baseurl.js'

export function assetList() {
	return request.get('/visitor/asset/list')
}

export function assetDetail(barCode) {
	return request.get(`/visitor/asset/detail/${barCode}`)
}

export function studyList(x,y){
	return request.get('/visitor/study/list',{
		pageNum:x,
		pageSize:y
	}).then(res=>res)
}

export function studyNew(number) {
	return request.get(`/visitor/study/new?number=${number}`)
}

export function studyDetail(studyId) {
	return request.get(`/visitor/study/detail/${studyId}`)
}

export function getImage(src) {
	if (!src) {
		return;
	}
	let real_src = src.split(",")[0]
	return baseUrl + real_src;
}

export function playerVideo(url) {
  return `${baseUrl}/asset/demoVideo/player?name=${url}`
}